IFAPI_Provision Struct Reference

`#include <fapi_int.h>`

## Data Fields

IFAPI_OBJECT | hierarchy_lockout
IFAPI_OBJECT | hierarchy_hs
IFAPI_OBJECT | hierarchy_he
IFAPI_OBJECT | hierarchy_hn
IFAPI_OBJECT * | hierarchy
TPMS_POLICY * | hierarchy_policy
IFAPI_KEY_TEMPLATE | public_templ
TPM2B_PUBLIC | public
char ** | pathlist
size_t | numPaths
size_t | numHierarchyObjects
size_t | hiearchy_idx
size_t | path_idx
IFAPI_OBJECT * | hierarchies
TPM2B_SENSITIVE_CREATE | inSensitive
TPM2B_DATA | outsideInfo
TPML_PCR_SELECTION | creationPCR
ESYS_TR | handle
const char * | authValueLockout
const char * | authValueEh
const char * | policyPathEh
const char * | authValueSh
const char * | policyPathSh
size_t | digest_idx
size_t | hash_size
TPM2_HANDLE | cert_nv_idx
TPM2B_NV_PUBLIC * | nvPublic
ESYS_TR | esys_nv_cert_handle
char * | pem_cert
TPM2_ALG_ID | cert_key_type
size_t | cert_count
size_t | cert_idx
TPMS_CAPABILITY_DATA * | capabilityData
IFAPI_OBJECT | hierarchy_object
TPM2B_AUTH | hierarchy_auth
TPM2B_DIGEST | policy_digest
char * | intermed_crt
char * | root_crt
TPMA_PERMANENT | auth_state
ESYS_TR | srk_esys_handle
ESYS_TR | ek_esys_handle
ESYS_TR | srk_tpm_handle
ESYS_TR | ek_tpm_handle
bool | srk_exists
TPM2_HANDLE | template_nv_index
TPM2_HANDLE | nonce_nv_index

## Detailed Description

The data structure holding internal state of Provisioning.

## Field Documentation

## hiearchy_idx

size_t hiearchy_idx

Index to the current hierarchy

## hierarchies

IFAPI_OBJECT* hierarchies

Array of the hierarchies stored in keystore.

## hierarchy

IFAPI_OBJECT* hierarchy

The current hierarchy

## hierarchy_he

IFAPI_OBJECT hierarchy_he

The endorsement hierarchy

## hierarchy_hn

IFAPI_OBJECT hierarchy_hn

The null hierarchy

## hierarchy_hs

IFAPI_OBJECT hierarchy_hs

The storage hierarchy

## hierarchy_lockout

IFAPI_OBJECT hierarchy_lockout

The lockout hierarchy

## hierarchy_policy

TPMS_POLICY* hierarchy_policy

Policy of the current used hierarchy.

## numHierarchyObjects

size_t numHierarchyObjects

Number of hierarchies stored in keystore

## numPaths

size_t numPaths

Size of array with all keystore objects

## path_idx

size_t path_idx

Index of array with the object paths

## pathlist

char** pathlist

The array with all keystore objects

## public

TPM2B_PUBLIC public

The public info of the created primary

## public_templ

IFAPI_KEY_TEMPLATE public_templ

The basic template for the keys public data

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h